opam-version: "2.0"
maintainer: "contact@nomadic-labs.com"
authors: [ "Nomadic Labs" "Ocamlpro" ]
license: "LGPL-2.1-with-OCaml-exception"
homepage: "https://gitlab.com/nomadic-labs/resto"
bug-reports: "https://gitlab.com/nomadic-labs/resto/issues"
dev-repo: "git+https://gitlab.com/nomadic-labs/resto"
synopsis: "A minimal OCaml library for type-safe HTTP/JSON RPCs"

build: [
  [ "dune" "build" "-p" name "-j" jobs ]
]

depends: [
  "ocaml" { >= "4.07" }
  "dune" { >= "1.7" }
  "uri" {>= "1.9.0" }
  "json-data-encoding" {= "0.8" & with-test }
  "json-data-encoding-bson" {= "0.8" & with-test }
  "ezjsonm" {with-test}
  "lwt" {with-test}
  "base-unix"{with-test}
]
